Rock
Scars Of The CrucifixDeicide
Europe 2018 (Earache MOSH273LPUS)Винил. Пластинка; LP; Альбом; Переиздание
Loathing
UK 2024 (D&G 1005)Винил. Пластинка; LP; 45 RPM
PX-30
Denmark 2024 (Adult Crash (2) #85)Винил. Пластинка; 12"
MonochromeMark Murphy And The Meds
2023 (Bloated Kat BKR-☃)Винил. Пластинка; LP; Альбом
PleasurelandBedford Falls
UK 2024 (Brassneck Records NECK088)Винил. Пластинка; LP; Альбом
Cadena De OdioUZI
Denmark 2022 (Adult Crash (2) #58)Винил. Пластинка; 12"; 45 RPM; Repress
Holding On To HopeThe Last Mile
Canada 2025 (Thousand Islands Records TIR-146LP)Винил. Пластинка; LP; Альбом; Стерео
Total SoundSad Lovers And Giants
Italy 2022 (Spittle Records SPITTLE136)Винил. Пластинка; LP; Альбом; Переиздание
Electronic, Rock
SkulldozerBastard Noise
US 2011 (Deep Six Records #153)Винил. Пластинка; LP; Альбом
Shards Vol 3.The Mr. T Experience
US 2021 (Sounds Rad RAD-018-1)Винил. Пластинка; LP; Сборник
202412", S/Sided, Album
Swan LakeCindy
UK 2024 (Tough Love Records TLV-173)Винил. Пластинка; 12"; 45 RPM; EP
The Extermination, Vol. 4
US 2023 (Flatspot Records FSR 65)Винил. Пластинка; LP; Сборник
Like Dying Stars, We're reaching Outrunnner
USA, Canada & Europe 2023 (Run For Cover Records (2) RFC254)Винил. Пластинка; LP; Альбом; Лимитированное издание
Is This Thing Cursed?Alkaline Trio
Europe 2018 (Epitaph 7631-1)Винил. Пластинка; LP; Альбом
Pop, Rock
Bad Dream JaguarSun June
US 2023 (Run For Cover Records (2) RFC-265)Винил. Пластинка; 12"; 33 ⅓ RPM; Альбом
2-4-1Class
UK 2023 (Drunken Sailor Records 164)Винил. Пластинка; LP; 45 RPM
Myself In The WayTurnover
US 2022 (Run For Cover Records (2) RFC251)Винил. Пластинка; LP; Альбом; Стерео
Fly-Blown & Maggot Riddled: A Selection Of Audible Chunks From The M.S.O. ArchivesMaggot Slayer Overdrive
UK 2023Винил. Пластинка; LP; Альбом; Лимитированное издание
SOSMillencolin
Europe 2019 (Softcore Inc. EPIT 7671-1)Винил. Пластинка; LP; Альбом
2024LP, Comp, Ltd, RE, Red
BrokenleggedSinai Vessel
2017 (Tiny Engines TE155)Винил. Пластинка; LP; Альбом
Today My Friend You Drunk the VenomThe Drin
UK 2023 (Drunken Sailor Records DRUNKENSAILOR160)Винил. Пластинка; LP; Альбом
The New What NextHot Water Music
Europe 2019 (Epitaph 6722-1)Винил. Пластинка; LP; Альбом; Переиздание
Они помогают запоминать настройки и обеспечивать работу сервиса. Сайтом можно пользоваться и без нажатия «Принять» — баннер снова появится при следующем заходе, пока вы не согласитесь.